# Class RANSNx16Decode

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSDecode
htsjdk.samtools.cram.compression.rans.RANSNx16Decode

public class RANSNx16Decode extends RANSDecode
Decoder for the CRAM 3.1 rANSNx16 codec. All internal operations use byte[] with explicit offset tracking for performance. The public API accepts and returns byte[].

## Constructor Summary

Constructors
Constructor
Description
`RANSNx16Decode()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`uncompress(byte[] input)`
Uncompress a rANS Nx16 encoded byte stream.

### Methods inherited from class RANSDecode

`getDecodingSymbols, getFrequencies, getReverseLookup, markRowUsed, resetDecoderState`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANSNx16Decode

public RANSNx16Decode()

## Method Details

### uncompress

public byte[] uncompress(byte[] input)
Uncompress a rANS Nx16 encoded byte stream. The format flags byte at the start of the stream determines which transformations (PACK, RLE, STRIPE, CAT) are applied, along with the order (0 or 1) and interleave width (4 or 32).

Specified by:
  `uncompress` in class `RANSDecode`
Parameters:
  `input` - the compressed byte stream
Returns:
  the uncompressed data